# ULTRAKIT
 A library for BepInEx to add custom content to ULTRAKILL, such as weapons and cheats.
 
 Requires UKT-UMM-Patch compatibility patch if UMM is installed.

# Editing the config
In the Thunderstore client, open the Config Editor menu, scroll to `BepInEx/config/ULTRAKIT.core_module.cfg` and click "edit config." The config file generates after running the game with ULTRAKIT Reloaded installed for the first time, and changes take effect after restarting the game.

# Making a mod using ULTRAKIT
1. Download ULTRAKIT .dlls from https://github.com/PetersonE1/UltrakitReloaded/
2. Reference ULTRAKIT .dlls within your project to make use of any extensions and functions available.
3. Register any new cheats on scene load.
4. Register any new buffs and/or the asset bundle containing new weapons or hats on mod load.

***Further instructions and API are available in the [wiki](https://github.com/PetersonE1/UltrakitReloaded/wiki)***

# Credits
### ORIGINAL
Loader: Dazegambler

Content Injection: Heckteck

Misc. m1ksu

Original Testing: Cecelune

### RELOADED
Rewrite and Additional Testing: PetersonE1

##

If you have any questions, feel free to DM `Agent of Nyarlathotep#7519` on Discord, or join the ULTRAKIT Reloaded Discord server at https://discord.gg/gW7MAZRm7z

***For a reference, a basic mod, asset bundle, and unity asset folder are available at https://github.com/PetersonE1/UltrakitTestMod***